
QGIS Application - Bug report #19477

Multipolygons layer is empty in the attribute table

2018-07-24 05:30 PM - Etienne Trimaille

Status: Closed

Priority: High

Assignee: Even Rouault

Category: Processing/OGR

Affected QGIS version:3.2 Regression?: Yes

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27305

Description

I have some issues while loading some OSM layers in QGIS 3.2:

    -  start a new project:

    -  drop the osm file enclosed

    -  choose only the multipolygon file => everything is fine, attribute table and map are OK.

    -  start a new project:

    -  drop the osm file enclosed

    -  choose "select all" button => the multipolygon layer is broken.

The shape of the multipolygon is modified when pan/zoom. The shape is displayed/not displayed when we zoom in/zoom out.

Moreover, the attribute table is empty (as you can see in my screenshot).

The show feature count is not working too (linked to #19461)

Associated revisions

Revision fabdc047 - 2018-09-22 11:59 AM - Even Rouault

[OGR provider] Fix reading of OSM datasets when opening several layers at the same time (fixes #19477)

Revision bdc11197 - 2018-09-23 03:51 PM - Even Rouault 

Merge pull request #7982 from rouault/fix_19477

[OGR provider] Fix reading of OSM datasets when opening several layers at the same time (fixes #19477)

History

#1 - 2018-07-25 08:58 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-07-26 08:40 AM - Jürgen Fischer

- Description updated

#3 - 2018-09-22 01:12 AM - Even Rouault

- Assignee set to Even Rouault

- Category changed from Attribute table to Processing/OGR
#4 - 2018-09-23 03:51 PM - Even Rouault

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|fabdc0476492fc1c47d364723d804f27e575ea5b.

Files

map.osm 110 KB 2018-07-24 Etienne Trimaille

Screenshot from 2018-07-24 11-24-01.png 82.2 KB 2018-07-24 Etienne Trimaille
